eric ide

Issue209

Classification
Title: PYUIC5 Error with Eric version 16.11
Type: crash Product: eric6
Process
Priority: high    
Status: closed Resolution: fixed
Superseder: Nosy List: detlev, ludolechinois
Assigned to: detlev Keywords:

Created on 2016-11-13.08:20:00 by ludolechinois, last changed by detlev.

Messages (9.0)
msg789 (view) Author: detlev Date: 2016-11-19.12:20:43
Issue 3: This has been fixed with eric6 release 16.11.1.
msg787 (view) Author: detlev Date: 2016-11-19.10:03:50
Issue 1 (alternative workaround): An alternative to copying the missing DLLs 
is to have the installed Qt binaries directory (containing these DLLs) in the 
search path.
msg785 (view) Author: ludolechinois Date: 2016-11-18.20:59:52
Hello,
You solve that very quickly.
Thanks a lot all are working for ISSUE1&ISSUE2.
msg784 (view) Author: detlev Date: 2016-11-18.17:49:15
Issue 1: PyQt5 wheel is missing some DLLs as you already realized. I was 
able to recreate this issue and have this workaround. The three missing DLLs

- libEGL.dll
- libGLESv2.dll
- opengl32sw.dll

should be copied from the bin directory of the Qt installation into the 
PyQt5 main directory and the later one should be included in the executable 
path (i.e. shown by the 'path' command).
msg783 (view) Author: ludolechinois Date: 2016-11-17.21:11:53
Hello,
ISSUE 1:For install PYQT5,I have used "PIP3 install PYQT5". For install QT5.7, I
have used "Qt online installer".I'm a beginner,I don't understand what I must do ?
ISSUE2: OK
msg782 (view) Author: detlev Date: 2016-11-17.18:40:21
Issue 1 is caused by a missing Qt library in PyQt5 wheel installer. In order to 
have the Qt development tools available (and btw the missing library) you should 
install Qt as well.

Issue 3 is a bug. I hadn't realized, that the name of the pyuic5 executable has 
changed in PyQt 5.7 from pyuic5.bat to pyuic5.exe. That will be fixed.
msg781 (view) Author: ludolechinois Date: 2016-11-16.21:26:32
Gello,
1) Setting->preference->help->help viewer. Eric6 try to load libegl and scrash.
I use only QT5.7. Is it possible that this was in older version, but anymore in
5.7 varsion ?
2) Ok it's works.Thanks a lot
3) The external tools can't find the form compiler. That is strange, it's, if I
open a cmd windows and I enter PYUIC5 then windows find it easily.
So I decide to uninstall all. QT, python and related sotware then I use ccleaner
to clean my registry.Then I reinstall all, but I still have the same error.
msg780 (view) Author: detlev Date: 2016-11-13.13:42:55
1) is not an eric issue but rather something related to your Qt installation. Have 
never seen this on Windows over here.

2) The path to the Qt tools can be configured on the Qt page of the configuration 
dialog.

3) Please check, if eric finds the tool by opening the "External Tools" dialog 
(Settings->Show external tools).
msg779 (view) Author: ludolechinois Date: 2016-11-13.08:56:59
Hello,
eric6.16.1 python3 QT5.7 windows7-32bits my project is in
D:\MesDocuments\Projet_Python
I'm a newbies in python and I would like use eric6 as IDE to discover the python
world , bur I got some error to use it.
1) Eric software can’t find libEGL, but I don’t know howto install it.

2) Eric software was searching the designer in
…Python\Lib\site-packages\PyQt5\Qt\bin, but designer.exe was in my installation
of QT “C:\Appli\Qt\5.7\msvc2015\bin”.In the setting of Eric I don’t find where
to change the folder path, so I make a copy, but it’s not very clean.

3) “could not start pyuic5. Ensure that it is in the search path”. But pyuic5 is
in the environment path, bur if I enter pyuic5  in my command line, my computer
find it.So I don’t understand why this doesn’t works.
Somebody can help me to solve those problems . 
Sorry also for my bad english!
History
Date User Action Args
2016-11-19 12:20:43detlevsetstatus: open -> closed
resolution: fixed
messages: + msg789
message_count: 8.0 -> 9.0
2016-11-19 10:03:50detlevsetmessage_count: 7.0 -> 8.0
messages: + msg787
2016-11-18 21:00:23ludolechinoissetfiles: - eric6.png
2016-11-18 20:59:52ludolechinoissetmessage_count: 6.0 -> 7.0
messages: + msg785
2016-11-18 17:49:15detlevsetmessage_count: 5.0 -> 6.0
messages: + msg784
2016-11-17 21:11:53ludolechinoissetmessage_count: 4.0 -> 5.0
messages: + msg783
2016-11-17 20:48:37ludolechinoissetfiles: - pyuic5.jpg
2016-11-17 18:40:21detlevsetmessage_count: 3.0 -> 4.0
messages: + msg782
2016-11-16 21:26:32ludolechinoissetfiles: + eric6.png
message_count: 2.0 -> 3.0
messages: + msg781
2016-11-13 13:42:55detlevsetstatus: new -> open
assignedto: detlev
messages: + msg780
message_count: 1.0 -> 2.0
nosy: + detlev
2016-11-13 13:37:34detlevsetfiles: - pyuic5.jpg
2016-11-13 13:37:26detlevsetmessage_count: 2.0 -> 1.0
messages: - msg778
2016-11-13 08:56:59ludolechinoissetfiles: + pyuic5.jpg
message_count: 1.0 -> 2.0
messages: + msg779
2016-11-13 08:20:00ludolechinoiscreate